<?php
require_once("../../includes/bootstrap.php");
$sesion=new sesion(); // inicio la sesion

if(!headers_sent())
    ob_start("ob_gzhandler");
cache();
$sesion->set('permiso',permisos($_POST['privilegio']));	

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
$tipo_usuario=$sesion->getVar('ac_tipo_user');
$ide_cd_estud=$sesion->getVar('cod_cmps.cd_estud');
$academia = bootstrap::initBd($sesion->get('anio'));
$nombre_grupo=$sesion->getVar('configuracion.nombres_grupos');
 
$sql="SELECT
aca_estudiantes.cod_estudiante AS cd_est,
lcase(aca_estudiantes.apellido1_est) as ape1_est,
lcase(aca_estudiantes.apellido2_est) as ape2_est,
lcase(aca_estudiantes.nombre1_est) as nom1_est,
lcase(aca_estudiantes.nombre2_est) as nom2_est,
aca_estudiantes.fechnacimiento_est,
aca_estudiantes.foto_est,
aux_tipos_identificacion.nom_tipoiden,
aca_estudiantes.numedocumento_est,
if(aca_estudiantes.genero_est='M','Masculino','Femenino') as genero,
aca_estudiantesxgrupos.cod_grupo,
Max(aca_asignaturasxgrupos.num_evaluaciones) AS num_per,
view_datos_grupos.nom_sede,
view_datos_grupos.nom_jornada,
view_datos_grupos.nom_grado,
view_datos_grupos.ide_grado,
view_datos_grupos.$nombre_grupo as nom_grup,
lower(view_datos_grupos.nom_ape) as nomdir
FROM
aca_estudiantes
INNER JOIN aca_estudiantesxgrupos ON aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante
INNER JOIN aca_asignaturasxgrupos ON aca_asignaturasxgrupos.cod_grupo = aca_estudiantesxgrupos.cod_grupo
INNER JOIN view_datos_grupos ON aca_estudiantesxgrupos.cod_grupo = view_datos_grupos.cod_grupo
INNER JOIN aux_tipos_identificacion ON aca_estudiantes.tipodocumento_est = aux_tipos_identificacion.ide_tipoiden
WHERE numedocumento_est='".$sesion->get('ac_identidad')."' GROUP BY aca_estudiantes.cod_estudiante LIMIT 1";



$academia->instruccion($sql);
$dtsEstud=$academia->extraer_registro();
$foto=empty($dtsEstud['foto_est']) ? 'avatar.png' : $dtsEstud['foto_est'];
if(!file_exists('../../img_avatar/'.$foto)){
	$foto='avatar.png';
}
$dtsEstud['foto_est']=$foto;
$numPer=$dtsEstud['num_per'];
$academia->liberar();
$tmpCarne=$sesion->getVar('info_colegio.esquema_carnets'); 
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Reportes estudiantes</title>
<script type="text/javascript" language="javascript">
$(function(){
	var dtsEstud=$.parseJSON('<?php echo json_encode($dtsEstud)?>');
	$("#rep_consmat").on("click",function(){
		param='?idest=<?php echo $sesion->get('ac_identidad') ?>';
		$.fn.colorbox({
			href:"mod_reportes/constancias/consmatricula.php"+param, 
			iframe:true,
			height:'90%', 
			width:'60%', 
		});
	}).button({icons:{primary:'ui-btn-pdf'}});
	
	$("#rep_boletinprint").on("click",function(){
		sede=dtsEstud.nom_sede;
		jor=dtsEstud.nom_jornada;
		gru=dtsEstud.cod_grupo;
		lgru=dtsEstud.nom_grado+" "+dtsEstud.nom_grup ;
		dire=dtsEstud.nomdir;
		sec="";
		per=$("select#txtperiodos").val();
		id_gr=dtsEstud.ide_grado;
		ids=dtsEstud.cd_est;
		var datos='est='+ids+'&sede='+sede+'&grado='+lgru+'&grupo='+gru+'&peri='+per+'&secc='+sec+'&dir='+dire+"&jorn="+jor+"&id_gr="+id_gr; 
		window.open('mod_boletines/imprime_boletin.php?' + datos ,'','width=800,height=550,menubar=0,scrollbars=yes');
	}).button({
		icons: {
			primary: "icon-print"
		},text:"Imprimir"
	});
	$("#rep_boletinview").on("click",function(){
		sede=dtsEstud.nom_sede;
		jor=dtsEstud.nom_jornada;
		gru=dtsEstud.cod_grupo;
		lgru=dtsEstud.nom_grado+" "+dtsEstud.nom_grup ;
		dire=dtsEstud.nomdir;
		sec="";
		per=$("select#txtperiodos").val();
		id_gr=dtsEstud.ide_grado;
		ids=dtsEstud.cd_est;
		var datos='est='+ids+'&sede='+sede+'&grado='+lgru+'&grupo='+gru+'&peri='+per+'&secc='+sec+'&dir='+dire+"&jorn="+jor+"&id_gr="+id_gr; 
		$.colorbox({
			iframe:true,
			href:'mod_boletines/imprime_boletin.php?' + datos,
			width:800,
			height:'90%',
		});
	}).button({
		icons: {
			primary: "icon-vermas"
		},text:"Vista Preliminar"
	});
	$("#rep_carets").on("click",function(){
		var tmplCarnet=$("#tmplformCarnet").html();
		var con=4;
		cad="<div class='paginas'>";
		var ape=dtsEstud.ape1_est.ucwords() +" "+ dtsEstud.ape2_est.ucwords();
		var nom=dtsEstud.nom1_est.ucwords() +" "+ dtsEstud.nom2_est.ucwords();
		cad+=$.formatMsg(tmplCarnet,nom,ape,dtsEstud.cd_est,dtsEstud.numedocumento_est,dtsEstud.foto_est,'<?php echo $dtsLang['project']['nom_soft'].' ' .$dtsLang['project']['ver_soft'] ?>')+"<br>";
		cad=cad+"</div>";
		
		localStorage.setItem('carnes', cad);
		mi_ventana = window.open("mod_reportes/mod_carnets/print.php","",'width=800,height=550,menubar=0,scrollbars=yes');
		
	}).button({
		icons: {
			primary: "icon-vermas"
		},text:"Vista Preliminar"
	});
	
});
</script>
</head>

<body>
<div id="tmplformCarnet" style="display:none"><?php echo $tmpCarne ?></div>
<table width="858" border="0" align="center" class="table table-bordered table-condensed valing-top " style="width:650px !important">
	<tr>
		<td colspan="2" ><span class="tit1"><?php echo $dtsLang['globals']['tip_doc'] ?></span>
			<div><?php echo $dtsEstud['nom_tipoiden'] ?></div></td>
		<td>
			<span class="tit1"><?php echo $dtsLang['globals']['num_doc'] ?></span>
			<div><?php echo $dtsEstud['numedocumento_est'] ?></div>
		</td>
		<td colspan="2">
			<span class="tit1"><?php echo $dtsLang['globals']['fec_nac'] ?></span>
			<div><?php echo $dtsEstud['fechnacimiento_est'] ?></div>
		</td>
		
	</tr>
	<tr>
		<td align="left"><span class="tit1"><?php echo $dtsLang['globals']['pri_ape'] ?></span>
			<div><?php echo formatoPalabras($dtsEstud['ape1_est'],$mayus_nom) ?></div></td>
		<td align="left"><span class="tit1"><?php echo $dtsLang['globals']['seg_ape'] ?></span>
			<div><?php echo formatoPalabras($dtsEstud['ape2_est'],$mayus_nom) ?></div>
		</td>
		<td align="left"><span class="tit1"><?php echo $dtsLang['globals']['pri_nom'] ?></span>
			<div><?php echo formatoPalabras($dtsEstud['nom1_est'],$mayus_nom) ?></div>
		</td>
		<td align="left"><span class="tit1"><?php echo $dtsLang['globals']['seg_nom'] ?></span>
			<div><?php echo formatoPalabras($dtsEstud['nom2_est'],$mayus_nom) ?></div>
		</td>
		<td align="left"><span class="tit1"><?php echo $dtsLang['globals']['sexo'] ?></span>
			<div><?php echo $dtsEstud['genero'] ?></div>
		</td>
	</tr>
</table>
<table align="center" class="table table-bordered table-condensed valing-top">
	<thead>
		<tr><th colspan="3" align="center"><?php echo $dtsLang['globals']['info_matricula'] ?></th></tr>
	</thead>
	<tr>
		<td>
			<span class="tit1"><?php echo $dtsLang['globals']['name_sede'] ?></span>
			<div><?php echo ucwords($dtsEstud['nom_sede']) ?></div>
		</td>
		<td><span class="tit1"><?php echo $dtsLang['globals']['name_jornada'] ?></span>
			<div><?php echo ucwords($dtsEstud['nom_jornada']) ?></div></td>
		<td><span class="tit1"><?php echo $dtsLang['globals']['grupo'] ?></span>
			<div><?php echo $dtsEstud['nom_grado'] ." ". $dtsEstud['nom_grup'] ?></div></td>
	</tr>
</table>
<table border="0" align="right" cellpadding="0" cellspacing="0">
	<tr>
		<td colspan="2" align="right"><strong>Periodo:</strong>
			<select name="txtperiodos" id="txtperiodos">
				<?php
				for($i=1;$i<=$numPer; $i++){
					echo "<option value='$i'>$i</option>";
				}
			?>
</select></td>
	</tr>
<!--	<tr>
		<td colspan="2" align="right" valign="middle">
			<legend>Generar constancia de matricula</legend>
			<button id="rep_consmat">Ver</button>
		</td>
	</tr>-->
	<tr>
		<td colspan="2" align="right" valign="middle"><legend>Generar Boletin de calificaciones</legend>
		<button id="rep_boletinview">Vista Preliminar</button>
		<button id="rep_boletinprint">Imprimir</button>
		</td>
	</tr>
	<tr>
		<td colspan="2" align="right"><legend>Generar carné estudiantil</legend>
		<button id="rep_carets">Imprimir</button></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
</table>
</body>
</html>